irrlamb - 3D physics game
https://github.com/jazztickets/irrlamb
by Alan Witkowski

----- HOW TO PLAY -----

-- Game Controls --
E                     Move forward
D                     Move backwards
S                     Move left
F                     Move right
X                     Restart level
Spacebar              Jump
Escape                Menu (or quit game in test mode)
F1                    Menu
F2                    Invert mouse Y-axis
F3                    Show player position in console
F5                    Reload level from disk
F10                   Toggle Audio
F11                   Toggle HUD
F12                   Screenshot

-- Gamepad Controls --
Left Analog Stick     Move
Right Analog Stick    Adjust camera
A                     Jump
B                     Go back in menu
Select                Restart level
Start                 Menu

-- Replay Controls --
Right Mouse Button    Enable free camera mode
Spacebar              Pause
Right Arrow           Skip 1 second
Up Arrow*             Increase replay speed by 0.1x
Down Arrow*           Decrease replay speed by 0.1x
Mouse Wheel*          Increase/decrease replay speed by 0.1x
1                     Set replay speed to 0.5x
2                     Set replay speed to 1.0x
3                     Set replay speed to 2.0x
4                     Set replay speed to 4.0x
5                     Set replay speed to 8.0x
F11                   Toggle HUD
F12                   Screenshot
V                     Validate replay (from Replays menu)

*Holding Left Shift changes by 0.01x

----- BUILDING -----

-- Dependencies --
cmake
freetype2
sqlite3
openal
libvorbis
libogg
libjpeg
libpng
zlib

-- Cloning --
git clone https://github.com/jazztickets/irrlamb.git --recurse-submodules

-- Building and running --
mkdir build
cd build
cmake ..
make -j`nproc`
cd ../working && ../bin/Release/irrlamb

-- Installing --
run "sudo make install" from the build directory.

-- Uninstall --
cat install_manifest.txt | xargs sudo rm

----- COMMAND-LINE ARGUMENTS -----
-resolution [width] [height]     Set screen resolution
-fullscreen                      Set fullscreen mode
-windowed                        Set windowed mode
-level [.xml file]               Test a level
-replay [.replay file]           View a replay
-validate [.replay file]         Test a level with replay inputs
-noaudio                         Disable audio

Save data is in ~/.local/share/irrlamb for linux and %APPDATA%/irrlamb for windows.
